#!/bin/sh
echo 'name: cprng-aes
version: 0.2.3
id: cprng-aes-0.2.3-1cafdc7ec1f8b950a38211704eae93d1

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-cprng-aes
package-url:
description: Simple crypto pseudo-random-number-generator with really good randomness property.
             .
             Using ent, a randomness property maker on one 1Mb sample:
             Entropy = 7.999837 bits per byte.
             Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
             Chi square distribution for 1048576 samples is 237.02
             Arithmetic mean value of data bytes is 127.3422 (127.5 = random)
             Monte Carlo value for Pi is 3.143589568 (error 0.06 percent)
             .
             Compared to urandom with the same sampling:
             Entropy = 7.999831 bits per byte.
             Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
             Chi square distribution for 1048576 samples is 246.63
             Arithmetic mean value of data bytes is 127.6347 (127.5 = random).
             Monte Carlo value for Pi is 3.132465868 (error 0.29 percent).
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Crypto.Random.AESCtr
hidden-modules:
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/cprng-aes-0.2.3
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/cprng-aes-0.2.3
              /usr/local/lib
hs-libraries: HScprng-aes-0.2.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.3.1.0-93a63ba911a7eac625848432374f7fee
         bytestring-0.9.1.10-8fbcae7fd1f192307195284611c786a2
         cereal-0.3.5.1-a5fb77c7995b61edf36f8bcfc0ee5bdd
         crypto-api-0.8-3cf025a2a12264976d06d7e2c2f97d97
         cryptocipher-0.3.0-5f02e3de01d9434dd7033710d1de954e
         entropy-0.2.1-16b4edf6eb70c8ecaddaa4c4899d6d17
         random-1.0.0.3-57524486875e0c4c260dd22788921013
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/cprng-aes-0.2.3/html/cprng-aes.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/cprng-aes-0.2.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
